CREATE TABLE loy_prod_pt (
    LOY_PROD_PT_ID           NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CONFLICT_ID              NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    PARTNER_ID               NUMBER(18, 0)    NOT NULL,
    PROGRAM_ID               NUMBER(18, 0)    NOT NULL,
    PROD_ID                  NUMBER(18, 0)    NOT NULL,
    POINT_TYPE_ID            NUMBER(18, 0)    NOT NULL,
    NUM_POINTS               NUMBER(18, 0)    NOT NULL,
    TXN_TYPE_CODE            VARCHAR2(120)    NOT NULL,
    INV_ORG_ID               NUMBER(18, 0),
    START_DT                 TIMESTAMP(6)     NOT NULL,
    END_DT                   TIMESTAMP(6) ,
    LOY_PROD_PT_ID           NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CONFLICT_ID              NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    PARTNER_ID               NUMBER(18, 0)    NOT NULL,
    PROGRAM_ID               NUMBER(18, 0)    NOT NULL,
    PROD_ID                  NUMBER(18, 0)    NOT NULL,
    POINT_TYPE_ID            NUMBER(18, 0)    NOT NULL,
    NUM_POINTS               NUMBER(18, 0)    NOT NULL,
    TXN_TYPE_CODE            VARCHAR2(120)    NOT NULL,
    INV_ORG_ID               NUMBER(18, 0),
    START_DT                 TIMESTAMP(6)     NOT NULL,
    END_DT                   TIMESTAMP(6) ,
    CONSTRAINT pk_loy_prod_pt PRIMARY KEY (LOY_PROD_PT_ID, LOY_PROD_PT_ID)
);
